Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
h5import.h File Reference

## Data Structures
struct | infilesformat
struct | Input
struct | Options
struct | path_info

## Macros
#define | BASE_10 10
#define | CHUNK 9
#define | COMPRESS 10
#define | COMPRESS_PARAM 11
#define | DIM 4
#define | EXTEND 13
#define | EXTERNALSTORE 12
#define | FILNAME 0
#define | H5DT_FLOAT32 float
#define | H5DT_FLOAT64 double
#define | H5DT_INT16 short
#define | H5DT_INT32 int
#define | H5DT_INT64 long long
#define | H5DT_INT8 signed char
#define | H5DT_UINT16 unsigned short
#define | H5DT_UINT32 unsigned int
#define | H5DT_UINT64 unsigned H5DT_INT64
#define | H5DT_UINT8 unsigned char
#define | INPUT_B_ORDER 14
#define | INPUT_CLASS 1
#define | INPUT_SIZE 2
#define | INVALID_TOKEN 20 /* invalid token */
#define | MAX_GROUPS_IN_PATH 20
#define | MAX_NUM_DIMENSION 32
#define | MAX_PATH_NAME_LENGTH 255
#define | MIN_NUM_DIMENSION 1
#define | NUM_KEYS 15
#define | OPT_c 2 /* configuration filename */
#define | OPT_d 4 /* dimensions */
#define | OPT_h 3 /* request for explanation */
#define | OPT_o 1
#define | OPT_p 5 /* pathname */
#define | OPT_s 7 /* data size */
#define | OPT_t 6 /* data type */
#define | OUTPUT_ARCH 7
#define | OUTPUT_B_ORDER 8
#define | OUTPUT_CLASS 5
#define | OUTPUT_SIZE 6
#define | PATH 0
#define | RANK 3
#define | VOIDP void *

## Functions
hid_t | createInputDataType (struct Input *in)
hid_t | createOutputDataType (struct Input *in)
void | help (char *)
void | setDefaultValues (struct Input *in, int count)
void | usage (char *)

## Variables
static char | keytable [15][30]
static int | state_table [15][8]

## Macro Definition Documentation

## ◆ BASE_10

#define BASE_10 10

## ◆ CHUNK

#define CHUNK 9

## ◆ COMPRESS

#define COMPRESS 10

## ◆ COMPRESS_PARAM

#define COMPRESS_PARAM 11

## ◆ DIM

#define DIM 4

## ◆ EXTEND

#define EXTEND 13

## ◆ EXTERNALSTORE

#define EXTERNALSTORE 12

## ◆ FILNAME

#define FILNAME 0

## ◆ H5DT_FLOAT32

#define H5DT_FLOAT32 float

## ◆ H5DT_FLOAT64

#define H5DT_FLOAT64 double

## ◆ H5DT_INT16

#define H5DT_INT16 short

## ◆ H5DT_INT32

#define H5DT_INT32 int

## ◆ H5DT_INT64

#define H5DT_INT64 long long

## ◆ H5DT_INT8

#define H5DT_INT8 signed char

## ◆ H5DT_UINT16

#define H5DT_UINT16 unsigned short

## ◆ H5DT_UINT32

#define H5DT_UINT32 unsigned int

## ◆ H5DT_UINT64

#define H5DT_UINT64 unsigned H5DT_INT64

## ◆ H5DT_UINT8

#define H5DT_UINT8 unsigned char

## ◆ INPUT_B_ORDER

#define INPUT_B_ORDER 14

## ◆ INPUT_CLASS

#define INPUT_CLASS 1

## ◆ INPUT_SIZE

#define INPUT_SIZE 2

## ◆ INVALID_TOKEN

#define INVALID_TOKEN 20 /* invalid token */

## ◆ MAX_GROUPS_IN_PATH

#define MAX_GROUPS_IN_PATH 20

## ◆ MAX_NUM_DIMENSION

#define MAX_NUM_DIMENSION 32

## ◆ MAX_PATH_NAME_LENGTH

#define MAX_PATH_NAME_LENGTH 255

## ◆ MIN_NUM_DIMENSION

#define MIN_NUM_DIMENSION 1

## ◆ NUM_KEYS

#define NUM_KEYS 15

## ◆ OPT_c

#define OPT_c 2 /* configuration filename */

## ◆ OPT_d

#define OPT_d 4 /* dimensions */

## ◆ OPT_h

#define OPT_h 3 /* request for explanation */

## ◆ OPT_o

#define OPT_o 1

## ◆ OPT_p

#define OPT_p 5 /* pathname */

## ◆ OPT_s

#define OPT_s 7 /* data size */

## ◆ OPT_t

#define OPT_t 6 /* data type */

## ◆ OUTPUT_ARCH

#define OUTPUT_ARCH 7

## ◆ OUTPUT_B_ORDER

#define OUTPUT_B_ORDER 8

## ◆ OUTPUT_CLASS

#define OUTPUT_CLASS 5

## ◆ OUTPUT_SIZE

#define OUTPUT_SIZE 6

## ◆ PATH

#define PATH 0

## ◆ RANK

#define RANK 3

## ◆ VOIDP

#define VOIDP void *

## Function Documentation

## ◆ createInputDataType()

hid_t createInputDataType | ( | struct Input * | in | ) |

## ◆ createOutputDataType()

hid_t createOutputDataType | ( | struct Input * | in | ) |

## ◆ help()

void help | ( | char * |  | ) |

## ◆ setDefaultValues()

void setDefaultValues | ( | struct Input * | in,
|  | int | count )

## ◆ usage()

void usage | ( | char * |  | ) |

## Variable Documentation

## ◆ keytable

char keytable[15][30]
| static

Initial value:
= {"PATH",
"INPUT-CLASS",
"INPUT-SIZE",
"RANK",
"DIMENSION-SIZES",
"OUTPUT-CLASS",
"OUTPUT-SIZE",
"OUTPUT-ARCHITECTURE",
"OUTPUT-BYTE-ORDER",
"CHUNKED-DIMENSION-SIZES",
"COMPRESSION-TYPE",
"COMPRESSION-PARAM",
"EXTERNAL-STORAGE",
"MAXIMUM-DIMENSIONS",
"INPUT-BYTE-ORDER"}

## ◆ state_table

int state_table[15][8]
| static